## org.hibernate.exception
Interface Configurable

    public interface Configurable

The Configurable interface defines the contract for SQLExceptionConverter impls that want to be configured prior to usage given the currently defined Hibernate properties.

Author:
  Steve Ebersole

Method Summary
`void` `configure(Properties properties)` Configure the component, using the given settings and properties.

Method Detail

### configure

    void configure(Properties properties)
                   throws HibernateException

  Configure the component, using the given settings and properties.

  Parameters:
    `properties` - All defined startup properties.
  Throws:
    `HibernateException` - Indicates a configuration exception.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.